Transformations

(DEPRECATED) Get Evaluation Results for Multiple Transformations

DEPRECATED: Use the GET endpoint instead. Retrieves evaluation results for multiple transformations. Returns completed evaluation results, lists transformations that are still pending evaluation, and reports any errors encountered. Invalid transformation IDs will be included in the errors map in the response.

POST
/v1-beta/transformations/eval/results
x-api-key<token>

Authenticate using API Key in request header

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.bem.ai/v1-beta/transformations/eval/results" \  -H "Content-Type: application/json" \  -d '{    "transformationIDs": [      "tr_2bxoJPNdSD4LgRT4YVC4gt72hlI",      "tr_3cxpKQOeTE5MhSU5ZWD5hu83imJ",      "tr_invalid"    ],    "evaluationVersion": "0.1.0-gemini"  }'
{
  "results": {},
  "pending": [
    {
      "transformationId": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "failed": [
    {
      "transformationId": "string",
      "errorMessage": "string",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "message": "string",
  "code": 0,
  "details": {}
}
{
  "message": "string",
  "code": 0,
  "details": {}
}